Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTab Class Reference

The QTab class provides the structures in a QTabBar. More...

`#include <qtabbar.h>`

Inherits Qt.

List of all member functions.

## Public Members

- QTab ()
- virtual ~QTab ()
- QTab ( const QString & text )
- QTab ( const QIconSet & icon, const QString & text = QString::null )
- void setText ( const QString & text )
- QString text () const
- void setIconSet ( const QIconSet & icon )
- QIconSet * iconSet () const
- void setRect ( const QRect & rect )
- QRect rect () const
- void setEnabled ( bool enable )
- bool isEnabled () const
- void setIdentifier ( int i )
- int identifier () const

## Detailed Description

The QTab class provides the structures in a QTabBar.

This class is used for custom QTabBar tab headings.

See also QTabBar and Advanced Widgets.

## Member Function Documentation

### QTab::QTab ()

Constructs an empty tab. All fields are set to empty.

### QTab::QTab ( const QString & text )

Constructs a tab with the text text.

### QTab::QTab ( const QIconSet & icon, const QString & text = QString::null )

Constructs a tab with an icon and the text, text.

### QTab::~QTab ()`[virtual]`

Destroys the tab and frees up all allocated resources.

### QIconSet * QTab::iconSet () const

Return the QIconSet of the QTab.

### int QTab::identifier () const

Return the QTab's identifier.

### bool QTab::isEnabled () const

Returns TRUE if the QTab is enabled; otherwise returns FALSE.

### QRect QTab::rect () const

Return the QRect for the QTab.

### void QTab::setEnabled ( bool enable )

If enable is TRUE enable the QTab, otherwise disable it.

### void QTab::setIconSet ( const QIconSet & icon )

Sets the tab's iconset to icon

### void QTab::setIdentifier ( int i )

Set the identifier for the QTab to i. Each QTab's identifier within a QTabBar must be unique.

### void QTab::setRect ( const QRect & rect )

Set the QTab QRect to rect.

### void QTab::setText ( const QString & text )

Sets the text of the tab to text.

### QString QTab::text () const

Returns the text of the QTab label.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.